{
  "criteria": {
    "riding_horse": {
      "trigger": "minecraft:started_riding",
      "conditions": {
        "player": {
          "vehicle": {
            "type": "minecraft:horse"
          }
        }
      }
    }
  },
  "requirements": [
    [
      "riding_horse"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/operations/player_ride_horse"
  }
}